
%global meadversion 0.0.1
%global namedversion 0.0.1.Alpha3-redhat-14
%global meadalpha .Alpha3_redhat_14
%global meadrel .1
%global serial 8



%define rpm_version %(echo %{maven_version} | tr - _)
%define jarname tomcat6-storeconfig-%{maven_version}.jar
%define javadocname tomcat6-storeconfig-%{maven_version}-javadoc.jar
%define tomcatdir %{_javadir}/tomcat6
%define with_signing 0
%bcond_without mead

%define maven_version 0.0.1.Alpha3-redhat-14

Name:     storeconfig-tc6
Epoch:    0
Version:  0.0.1
Release:  7.Alpha3_redhat_12.3%{?dist}

Summary:  Tomcat6 module that persistes server configuration

Group:	  Networking/Daemons

%if %with mead
Source100: tomcat6-storeconfig-0.0.1.Alpha3-redhat-14-scm-sources.zip
Source101: tomcat6-storeconfig-0.0.1.Alpha3-redhat-14-patches.zip
Source102: tomcat6-storeconfig-0.0.1.Alpha3-redhat-14-javadoc.jar
Source103: tomcat6-storeconfig-0.0.1.Alpha3-redhat-14.jar
Source104: tomcat6-storeconfig-0.0.1.Alpha3-redhat-14.pom
Source105: tomcat6-storeconfig-0.0.1.Alpha3-redhat-14-sources.jar
%endif

License:  ASL 2.0
URL:	  http://tomcat.apache.org

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

Requires: tomcat6
Requires: tomcat6-servlet-2.5-api
Requires: tomcat6-lib
Requires: tomcat6-el-2.1-api
Requires: tomcat6-jsp-2.1-api

%description
A module for persisting Tomcat6 configuration

%prep

%build

%install
%{__install} -d -m 0755 %{buildroot}%{tomcatdir}
# %{__install} -d -m 0664 %{buildroot}%{_javadocdir}/%{name}-%{maven_version}
%{__install} -p %{_sourcedir}/%{jarname} %{buildroot}%{tomcatdir}
%{__install} -p %{_sourcedir}/%{javadocname} %{buildroot}%{tomcatdir}
# %{__install} -p %{_sourcedir}/%{javadocname} %{buildroot}%{_javadocdir}


%files
%defattr(0644,root,root,0775)
%{tomcatdir}/%{jarname}
%{tomcatdir}/%{javadocname}
# %{_javadocdir}/%{javadocname}

%doc

%changelog
* Tue Jul 8 2014 <dknox@redhat.com> 0:7.Alpha3_redhat_12.3
- Adds the capability to save context config if the config
- file doesn't exist

* Mon Jul 7 2014 <dknox@redhat.com> 0:7.Alpha3_redhat_12.2
- Resolves: rhbz 956509

* Mon Jun 30 2014 <dknox@redhat.com> 0:8.Alpha3_redhat_21.1
- Updated the revision to 1605534 so patch 0004 can be 
- applied.

* Wed Jun 25 2014 <dknox@redhat.com>  0:7.Alpha3_redhat_12.1
- Correct name-version-release structure and data to match
- other mead builds

* Wed Jun 18 2014 <dcheung@redhat.com> 0:0.0.1.Alpha3-6
- Move the javadoc jar to the same location as the main jar

* Fri May 30 2014 <dknox@redhat.com> 0:0.0.1.Alpha3-5
- Resolves: rhbz 1103214 el and servlet api used
- an incorrect format and didn't match the Provides
- in tomcat

* Wed May 28 2014 <dknox@redhat.com> 0:0.0.1.Alpha3-4
- mead demands an additional release because the
- Alpha3-3 build exists.

* Wed May 28 2014 <dknox@redhat.com> 0:0.0.1.Alpha3-3
- update el-api spec

* Wed Oct 9 2013 <dknox@redhat.com> 0:0.0.1-Alpha3-2
- the location for the jar was tomcat7 versus tomcat6

* Tue Oct 8 2013 <dknox@redhat.com> 0:0.0.1.Alpha3-1
- Updated to Alpha3 tag to fix problems from rhbz 956509

* Wed Sep 25 2013 <dknox@redhat.com> 0:0.0.2.Alpha2-1
- Resolves: rhbz 956509 Now writes a valid server.xml

* Thu Jun 27 2013 <dknox@redhat.com> 0:0.0.1.Alpha1-4
- corrected spec file

* Mon Jun 24 2013 <dknox@redhat.com> 0:0.0.1.Alpha-1-2
- Adding patches. First build attempt.

* Mon May 6 2013 <dknox@redhat.com> 0:0.0.1.Alpha1-1-3
- First checkin rhbz#956509 Adding storeconfig to 
- ews 2.0.1

